## multiseat 0.9.11

=== Makefile ===
all: kbtest pcibustype

kbtest: kbtest.c
	$(CC) -Wall -o $@ $<

pcibustype: pcibustype.c
	$(CC) -Wall -o $@ $<

clean:
	[ -e kbtest ] && rm kbtest
	[ -e pcibustype ] && rm pcibustype

## multiseat 0.9.9

=== debian/changelog ===
multiseat (0.9.9) hoary; urgency=low

  * Only write multiseat.conf in the target system if we enabled multiseat.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed,  6 Apr 2005 22:22:34 +1000

multiseat (0.9.8) hoary; urgency=low

  * Bump multiseat-udeb to Priority: standard.
  * Add Greek translation (thanks, Giorgos Logiotatidis).
  * Add Norwegian Bokmål translation (thanks, Terance Edward Sola).
  * Add Romanian translation (thanks, Ovidiu Damian).
  * Add Spanish translation (thanks, Enrique Matías Sánchez).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  5 Apr 2005 17:26:55 +0100

multiseat (0.9.7) hoary; urgency=low

  Changes by Daniel Stone:

  * Change is-primary-card check to check for AGP/PCIE capabilities in PCI
    config space rather than guessing based on known PCI IDs, using the
    pcibustype tool.

  * Move multiseat to being Arch: any rather than all, because of pcibustype.

  Changes by Fabio M. Di Nitto:

  * Do not set -sharevts on BIOS primary video card since it's the only one
    with a real console.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 31 Mar 2005 12:40:48 +0200

multiseat (0.9.6) hoary; urgency=low

  * Update Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Add French translation (thanks, Sebastien Bacher).
  * Update German translation (thanks, Maximilian Gerlach).
  * Add Hungarian translation (thanks, Gabor Burjan).
  * Add Indonesian translation (thanks, Yoppy Hidayanto).
  * Add Polish translation (thanks, Dominik Zabłotny).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Mar 2005 20:22:41 +0100

multiseat (0.9.5) hoary; urgency=low

  * Add Brazilian Portuguese translation (thanks, Carlos Eduardo Pedroza
    Santiviago).
  * Add German translation (thanks, Herbert Straub).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 26 Mar 2005 01:22:39 +0000

multiseat (0.9.4) hoary; urgency=low

  * Ensure AGP devices always get listed as the last device to prevent
    deadlocks; currently, check is based on known PCI bus IDs.  Will be
    superseded by checking for AGP elements in PCI config space in future.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 25 Feb 2005 02:44:26 +1100

multiseat (0.9.3) hoary; urgency=low

  * Add check for DO_EMULATE3BUTTONS == "false".

 -- Daniel Stone <daniel.stone@ubuntu.com>  Wed, 23 Feb 2005 05:12:18 +1100

multiseat (0.9.2) hoary; urgency=low

  * Disable Emulate3Buttons, as it totally breaks mouse handling with evdev.
  * Expand on and clarify the multiseat-udeb templates.
  * Add debconf-updatepo to the clean target.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Tue, 22 Feb 2005 12:41:00 +1100

multiseat (0.9.1) hoary; urgency=low

  * Fix slight misdirection of keyboard[foo]=.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Mon, 21 Feb 2005 11:36:36 +1100

multiseat (0.9) hoary; urgency=low

  * multiseat-udeb.postinst: as we get an input device, remove it from the
    list of candidates (e.g. if we get event0 as keyboard #1, don't test
    event0 when looking for keyboard #2).
  * kbtest.c: take an average of input over five seconds with a threshold of
    four reads to trigger activity; prevents the 'I bumped my mouse and now
    it's keyboard #0' problem.
  * Add debugging to kbtest.c's stderr, and pipe this to
    /var/lib/multiseat-udeb/log in the installer.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sun, 20 Feb 2005 21:37:00 +1100

multiseat (0.8.2) hoary; urgency=low

  * Remove bogus cat of keyboards/mice.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sat, 19 Feb 2005 03:13:14 +1100

multiseat (0.8.1) hoary; urgency=low

  * Brown paper bag: change $i to /dev/input/$i when cat'ing event devices.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Sat, 19 Feb 2005 02:50:52 +1100

multiseat (0.8) hoary; urgency=low

  * Use "Dev Phys" and USB device IDs in xorg.conf, instead of relying on the
    hotplug handlers to set up /dev/multiuser.
  * Expand on a few of the templates.
  * Redirect kbtest's stderr as well, so we catch 'timeout' messages.
  * Remove unnecessary sleep from kbtest.
  * cat all keyboards/mice before we kbtest them, to throw away old, pending
    input.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Fri, 18 Feb 2005 21:18:12 +1100

multiseat (0.7) hoary; urgency=low

  * 'r' is not a sensible second argument to open() (although it happens to
    work anyway because ASCII 'r' includes O_RDWR); make that O_RDONLY.
  * Honour answer to multiseat-udeb/configured_heads question.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 17 Feb 2005 13:48:15 +0000

multiseat (0.6) hoary; urgency=low

  * Fabio M. Di Nitto:
    - Clean up kbtest code:
      . Add all the missing includes.
      . Compile with -Wall.
      . Flush the event queue after a select.
        (Also fix mouse detection)
      . Close file descriptors on exit.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 17 Feb 2005 08:54:00 +0100

multiseat (0.5) hoary; urgency=low

  * Colin Watson:
    - Encode debconf templates in UTF-8 (required in installer, and harmless
      with debconf >= 1.2.0 elsewhere).
    - Add multiseat-udeb/disable_multiseat, defaulting to false, to allow
      forcibly disabling multiseat configuration.

  * Fabio M. Di Nitto:
    - Disable sound section of multiseat.hotplug, since there is no audio
      autodetection yet.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Feb 2005 23:01:45 +0000

multiseat (0.4) hoary; urgency=low

  * debconf booleans don't have an "unspecified" state. Fix multiseat-udeb
    not to try that, and make sure it exits if
    multiseat-udeb/force_multiseat=false (the default) and autodetection
    failed.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Feb 2005 19:51:11 +0000

multiseat (0.3) hoary; urgency=low

  Colin Watson:
    * Add base-config hook.
    * Call apt-install earlier so that multiseat is installed at a point where
      it gets a better progress bar.

  Fabio M. Di Nitto:
    * Fixed stuff all over the place.



=== debian/control ===
Source: multiseat
Section: x11
Priority: optional
Maintainer: Daniel Stone <daniel.stone@ubuntu.com>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4)

Package: multiseat
Architecture: any
Depends: debconf, hotplug, pciutils (>= 1:2.1.11-15)
Description: administration and configuration tools for multiseat systems
 This package contains scripts and configuration files to configure a multiseat
 system, including a hotplug daemon script to handle user-specific device
 hotplug events automatically.

Package: multiseat-udeb
XC-Package-Type: udeb
Architecture: any
Section: debian-installer
Priority: standard
Depends: ${shlibs:Depends}, cdebconf-udeb, usbutils-udeb, pciutils-udeb, input-modules
XB-Installer-Menu-Item: 30
Description: Configure a multiseat system
 This udeb does base configuration for a multiseat (multiple simultaneous users)
 system.

## multiseat 0.9.10

=== debian/changelog ===
multiseat (0.9.10) breezy; urgency=low

  * Just exit gracefully if there are no PCI video cards (!); don't bomb out
    and tank the entire install.
  * Fix quoting of LSPCINV and LSPCIMGA.

 -- Daniel Stone <daniel.stone@ubuntu.com>  Thu, 30 Jun 2005 06:09:21 +1000

## multiseat 0.9.11

=== debian/changelog ===
multiseat (0.9.11) dapper; urgency=low

  * Replace hotplug deps with udev and module-init-scripts

 -- Barry deFreese <bddebian@comcast.net>  Tue, 23 May 2006 22:37:02 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: multiseat
 Architecture: any
-Depends: debconf, hotplug, pciutils (>= 1:2.1.11-15)
+Depends: debconf, pciutils (>= 1:2.1.11-15), udev, module-init-tools
 Description: administration and configuration tools for multiseat systems
  This package contains scripts and configuration files to configure a multiseat
  system, including a hotplug daemon script to handle user-specific device

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_clean

	debconf-updatepo

	rm -f install-arch-stamp build-arch-stamp
	-$(MAKE) clean

build:
build-indep:

build-arch: build-arch-stamp
build-arch-stamp:
	$(MAKE)
	touch $@

install: install-arch
install-indep:

install-arch: build-arch install-arch-stamp
install-arch-stamp:
	dh_testdir
	dh_installdirs -a
	install -m 644 inputdevs.sh debian/multiseat-udeb/usr/share/multiseat-udeb/
	install -m 755 kbtest debian/multiseat-udeb/usr/lib/multiseat-udeb/
	install -m 755 pcibustype debian/multiseat/usr/lib/multiseat/
	install -m 644 multiseat.conf.in debian/multiseat-udeb/usr/share/multiseat-udeb/
	install -m 755 debian/multiseat-udeb.prebaseconfig \
	               debian/multiseat-udeb/usr/lib/prebaseconfig.d/09multiseat
	install -m 755 multiseat.hotplug debian/multiseat/etc/hotplug.d/default/multiseat.hotplug
	install -m 755 multiseat.rc debian/multiseat/etc/hotplug/multiseat.rc
	install -m 755 multiseat-configurator debian/multiseat/usr/sbin/multiseat-configurator
	install -m 644 gdm.conf.in debian/multiseat/usr/share/multiseat/gdm.conf.in
	install -m 755 multiseat.base-config debian/multiseat/usr/lib/base-config/menu/multiseat
	install -m 644 multiseat.base-config.mnu debian/multiseat/usr/lib/base-config/menu/multiseat.mnu
	touch $@
	
binary-indep:

binary-arch: install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdebconf -a
	dh_installdocs -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot build build-indep build-arch install-indep install-arch
